local Addon = Apollo.GetAddon("ClearNameplates")

local ti = table.insert

function Addon:wpInit()
    self.wp = {}
end

function Addon:wpBorrow()
    local win
    if #self.wp > 0 then
        win = table.remove(self.wp)
    else
        win = self:createNpWindow()
    end
    return win
end

function Addon:wpReturn(win)
    win:SetUnit(nil)
    win:Show(false, true)
    ti(self.wp, win)
end

function Addon:wpClear()
    for _,win in pairs(self.wp) do
        win:Destroy()
    end
    self.wp = {}
end
