local Addon = Apollo.GetAddon("ClearNameplates")

local ti = table.insert

function Addon:calcAltUnitText(unit, npc, player, quest, challenge, distance, pvp, disposition)

    local text = {}
    local hostile = disposition == Unit.CodeEnumDisposition.Hostile

    local hp = unit:GetHealth() or 0
    if hp > 0 and not (npc and not hostile) then
        ti(text, string.format(
            [[<P Font="CRB_Interface%d_BBO" TextColor="%02x%s" Align="Center">]],
            self.altHealthFontSize,
            self:calcUnitAlpha(distance),
            self.altHealthColor
        ))
        self:calcHealthBar(text, unit, hp)
        ti(text, [[</P>]])
    end

    ti(text, string.format(
        [[<P Font="CRB_Interface%d_BBO" TextColor="%s" Align="Center">]],
        self.fontSize,
        self:calcUnitColor(npc, player, pvp, disposition, distance)
    ))
    self:calcUnitName(text, unit, npc, player, hostile, quest, challenge)
    ti(text, [[</P>]])

    return table.concat(text)
end
